<div class="centered-content">
    <div class="task-manager-container">
        <div class="task-list-container has-background-light">
          <div class="loginBlock">
            <div class="sortBlock">
              <p>Sort:</p>
              <div class="dropdown-sort">
                <div class="dropdown-trigger-sort">
                  <button class="button" aria-haspopup="true">
                    <span class="icon">
                      <i class="fa-solid fa-sort" aria-hidden="true" style="color: #000;"></i>
                    </span>
                  </button>
                </div>
                <div class="dropdown-menu-sort" id="dropdown-menu4" role="menu">
                  <div class="dropdown-content-sort">
                        <a (click)="sortTaskByName()" class="dropdown-item-sort">
                          By name
                        </a>
                        <a (click)="sortTaskByDate()" class="dropdown-item-sort">
                          By date
                        </a>
                  </div>
                </div>
              </div>
              <p style="margin-left: 10px;">Filter:</p>
              <input #filterTaskInput type="text" class="filterInput"  style="background-color: #fff; margin-left: 10px;" (input)="filterTask(filterTaskInput.value)">
            </div>
            <div style="display: flex; align-items: center;">
            <h2>Welcome, {{userName}}</h2>
            <button class="button" (click)="onLogout()" style="font-size: 1rem;">
              <div class="icon">
                <i style="color: #000;" class="fa-solid fa-right-from-bracket"></i>
              </div>
            </button>
          </div>

          </div>
          <div class="board" cdkDropListGroup>
            <div *ngIf="tasks" style="width: 100%; margin: 0 10px; min-height: 200px;" cdkDropList (cdkDropListDropped)="drop($event)" [cdkDropListData]="tasks">
                <div class="top-bar">
                    <h1 class="title has-text-primary">
                        TO DO
                    </h1>
                </div>
                <div class="task" *ngFor="let task of tasks" [ngClass]="{ 'completed': task.completed}" cdkDrag>
                  <div class="task-text">
                    <h3>{{ task.title }}</h3>
                    <p *ngIf="task.description !== ''">Description: {{ task.description }}</p>
                    <small>Created: {{ task.createDate.substring(0,10) }}</small>
                  </div>
                  <div class="task-buttons">
                    <button class="button" [routerLink]="['/lists', selectedListId, 'edit-tasks', task._id]">
                      <div class="icon">
                        <i style="color: #000;" class="fas fa-edit"></i>
                      </div>
                    </button>
                    <button class="button is-danger" (click)="onDeleteTaskClick(task._id)" style="margin-left: 10px;">
                      <div class="icon">
                        <i class="fas fa-trash"></i>
                      </div>
                    </button>
                  </div>
          </div> 

            </div>

            <div *ngIf="tasks" style="width: 100%; margin: 0 10px; min-height: 200px;" cdkDropList (cdkDropListDropped)="dropProgress($event)" [cdkDropListData]="tasksInProgress">
              <div class="top-bar">
                  <h1 class="title has-text-primary">
                      IN PROGRESS
                  </h1>
              </div>
              <div class="task" *ngFor="let task of tasksInProgress" [ngClass]="{ 'completed': task.completed}" cdkDrag>
                <div class="task-text">
                  <h3>{{ task.title }}</h3>
                    <p *ngIf="task.description !== ''">Description: {{ task.description }}</p>
                    <small>Created: {{ task.createDate.substring(0,10) }}</small>
                </div>
                <div class="task-buttons">
                  <button class="button" [routerLink]="['/lists', selectedListId, 'edit-tasks', task._id]">
                    <div class="icon">
                      <i style="color: #000;" class="fas fa-edit"></i>
                    </div>
                  </button>
                  <button class="button is-danger" (click)="onDeleteTaskClick(task._id)" style="margin-left: 10px;">
                    <div class="icon">
                      <i class="fas fa-trash"></i>
                    </div>
                  </button>
                </div>
        </div>
        <h3 class="empty-state-text" *ngIf="tasks.length === 0">There are no tasks here! Click the abb button to create a new task</h3>

       </div>

       <div *ngIf="tasks" style="width: 100%; margin: 0 10px; min-height: 200px;" cdkDropList (cdkDropListDropped)="dropCompleted($event)" [cdkDropListData]="completedTask">
        <div class="top-bar">
            <h1 class="title has-text-primary">
                DONE
            </h1>
        </div>
        <div class="task" *ngFor="let task of completedTask" [ngClass]="{ 'completed': task.completed}" cdkDrag>
          <div class="task-text">
            <h3>{{ task.title }}</h3>
            <p *ngIf="task.description !== ''">Description: {{ task.description }}</p>
            <small>Created: {{ task.createDate.substring(0,10) }}</small>
          </div>
          <div class="task-buttons">
            <button class="button" [routerLink]="['/lists', selectedListId, 'edit-tasks', task._id]">
              <div class="icon">
                <i style="color: #000;" class="fas fa-edit"></i>
              </div>
            </button>
            <button class="button is-danger" (click)="onDeleteTaskClick(task._id)" style="margin-left: 10px;">
              <div class="icon">
                <i class="fas fa-trash"></i>
              </div>
            </button>
          </div>

  </div>

 </div>
        </div>
        <button routerLink="./new-task" class="circle-add-button button is-primary">
          <img  src="../../../assets/plus-icon.svg" class="has-text-white" alt="plus icon"/>
         </button>
        <button routerLink="/" class="circle-add-button-left button is-primary">
          <i style="font-size: 1.25rem;" class="fa-solid fa-angle-left"></i>
         </button>
      </div>
    </div>
</div>